%bcond doc_pdf 1

Name:           python-brukerapi
Version:        0.1.9
Release:    1%{?dist}
Summary:        Python package providing I/O interface for Bruker data sets

License:        MIT
URL:            https://github.com/isi-nmr/brukerapi-python
Source0:        %{url}/archive/v%{version}/brukerapi-python-%{version}.tar.gz

Source10:       bruker.1
Source11:       bruker-filter.1
Source12:       bruker-report.1
Source13:       bruker-split.1

Patch:          %{url}/pull/16.patch

Patch:          %{url}/pull/18.patch

Patch:          %{url}/pull/20.patch

Patch:          %{url}/pull/21.patch

Patch:          %{url}/pull/22.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%if %{with doc_pdf}
BuildRequires:  make
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  python3-sphinx-latex
BuildRequires:  latexmk
%endif

%global common_description %{expand:
A Python package providing I/O interface for Bruker data sets.}

%description %{common_description}


%package -n python3-brukerapi
Summary:        %{summary}

%description -n python3-brukerapi %{common_description}


%package        doc
Summary:        Documentation and examples for python-brukerapi

%description    doc %{common_description}


%prep
%autosetup -n brukerapi-python-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires %{?with_doc_pdf:docs/requirements.txt}


%build
%pyproject_wheel
%if %{with doc_pdf}
PYTHONPATH="${PWD}" %make_build -C docs latex \
    SPHINXOPTS='-j%{?_smp_build_ncpus}'
%make_build -C docs/build/latex LATEXMKOPTS='-quiet'
%endif


%install
%pyproject_install
%pyproject_save_files brukerapi

install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 \
    '%{SOURCE10}' '%{SOURCE11}' '%{SOURCE12}' '%{SOURCE13}'


%check

k="${k-}${k+ and }not test_data_load"
k="${k-}${k+ and }not test_data_save"

%pytest -v -k "${k-}"


%files -n python3-brukerapi -f %{pyproject_files}
%{_bindir}/bruker
%{_mandir}/man1/bruker*.1*


%files doc
%license LICENSE

%doc CHANGELOG.rst
%doc README.rst

%doc examples/

%if %{with doc_pdf}
%doc docs/build/latex/brukerapi.pdf
%endif


%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.9-1
- initial build
